
import board
import displayio
import terminalio
from adafruit_display_text import label
import adafruit_displayio_sh1106
from adafruit_bitmap_font import bitmap_font

displayio.release_displays()
i2c = board.I2C()
display_bus = displayio.I2CDisplay(i2c, device_address=0x3C)
display = adafruit_displayio_sh1106.SH1106(display_bus, width=132, height=64, rotation=180)

# Make the display context
splash = displayio.Group()
display.show(splash)

big_font = bitmap_font.load_font('fonts/LeagueSpartan-Bold-16.bdf')
small_font = bitmap_font.load_font('fonts/Chicago-12.bdf')
color = 0xFFFFFF

text1 = label.Label(big_font,text="CircuitPython",color=color)
text1.x = 2
text1.y = 5

text2 = label.Label(small_font,text="on STM32F411CE",color=color)
text2.x = 2
text2.y = 32

splash.append(text1)
splash.append(text2)

while True:
    pass